# Uses of Interface
org.gitana.platform.client.billing.BillingProviderConfiguration

Packages that use BillingProviderConfiguration
Package
Description
org.gitana.platform.client.billing
org.gitana.platform.client.platform
org.gitana.platform.client.support

## Uses of BillingProviderConfiguration in org.gitana.platform.client.billing

Classes in org.gitana.platform.client.billing that implement BillingProviderConfiguration
Modifier and Type
Class
Description
`class`
`BillingProviderConfigurationImpl`

## Uses of BillingProviderConfiguration in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return BillingProviderConfiguration
Modifier and Type
Method
Description
`BillingProviderConfiguration`
Platform.`createBillingProviderConfiguration(String providerId, com.fasterxml.jackson.databind.node.ObjectNode object)`
`BillingProviderConfiguration`
PlatformImpl.`createBillingProviderConfiguration(String providerId, com.fasterxml.jackson.databind.node.ObjectNode object)`
`BillingProviderConfiguration`
Platform.`readBillingProviderConfiguration(String billingProviderConfigurationId)`
`BillingProviderConfiguration`
PlatformImpl.`readBillingProviderConfiguration(String billingProviderConfigurationId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type BillingProviderConfiguration
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
Platform.`listBillingProviderConfigurations()`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
Platform.`listBillingProviderConfigurations(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
PlatformImpl.`listBillingProviderConfigurations()`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
PlatformImpl.`listBillingProviderConfigurations(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
Platform.`queryBillingProviderConfigurations(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
Platform.`queryBillingProviderConfigurations(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
PlatformImpl.`queryBillingProviderConfigurations(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
PlatformImpl.`queryBillingProviderConfigurations(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of BillingProviderConfiguration in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return BillingProviderConfiguration
Modifier and Type
Method
Description
`BillingProviderConfiguration`
ObjectFactory.`billingProviderConfiguration(Platform platform, Response response)`
`BillingProviderConfiguration`
ObjectFactoryImpl.`billingProviderConfiguration(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type BillingProviderConfiguration
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
ObjectFactory.`billingProviderConfigurations(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
ObjectFactoryImpl.`billingProviderConfigurations(Platform platform, Response response)`